smbtorture(1)

NAME
smbtorture - samba test suite.

SYNOPSIS
smbtorture //server/share <options> TEST1 TEST2 ...

DESCRIPTION
smbtorture is the original samba3 test suite. It is nowadays recommended to use samba4 torture.

-d debuglevel

-U user%pass

-k  use kerberos

-N numprocs

-n my_netbios_name

-W workgroup

-o num_operations

-O socket_options

-m maximum protocol

-L use oplocks

-c CLIENT.TXT
    specify client load file for NBENCH

-A showall

-p port

-s seed

-b unclist_filename
    specify multiple shares for multiple connections

tests are: FDPASS LOCK1 LOCK2 LOCK3 LOCK4 LOCK5 LOCK6 LOCK7 LOCK8 LOCK9 UNLINK BROWSE ATTR TRANS2 MAXFID TORTURE RANDOMIPC NEGNOWAIT NBENCH NBENCH2 OPLOCK1 OPLOCK2 OPLOCK3 OPLOCK4 DIR DIR1 DIR-CREATETIME DENY1 DENY2 TCON TCONDEV RW1 RW2 RW3 RW-SIGNING OPEN POSIX POSIX-APPEND ASYNC-ECHO UID-REGRESSION-TEST SHORTNAME-TEST ADDRCHANGE OPENATTR XCOPY RENAME DELETE DELETE-LN PROPERTIES MANGLE MANGLE1 W2K TRANS2SCAN NTTRANSSCAN UTABLE CASETABLE ERRMAPEXTRACT PIPE_NUMBER TCON2 IOCTL CHKPATH FDSESS EATEST SESSSETUP_BENCH CHAIN1 CHAIN2 WINDOWS-WRITE CLI_ECHO GETADDRINFO TLDAP STREAMERROR NOTIFY-BENCH BAD-NBT-SESSION SMB-ANY-CONNECT LOCAL-SUBSTITUTE LOCAL-GENCACHE LOCAL-TALLOC-DICT LOCAL-BASE64 LOCAL-RBTREE LOCAL-MEMCACHE LOCAL-STREAM-NAME LOCAL-WBCLIENT LOCAL-string_to_sid LOCAL-binary_to_sid LOCAL-DBTRANS LOCAL-TEVENT-SELECT default test is ALL

Usage: smbtorture //server/share <options> TEST1 TEST2 ...

-d debuglevel

-U user%pass

-k  use kerberos

-N numprocs

-n my_netbios_name

-W workgroup

-o num_operations

-O socket_options

-m maximum protocol

-L use oplocks

-c CLIENT.TXT
    specify client load file for NBENCH

-A showall

-p port

-s seed

-b unclist_filename
    specify multiple shares for multiple connections

tests are: FDPASS LOCK1 LOCK2 LOCK3 LOCK4 LOCK5 LOCK6 LOCK7 LOCK8 LOCK9 UNLINK BROWSE ATTR TRANS2 MAXFID TORTURE RANDOMIPC NEGNOWAIT NBENCH NBENCH2 OPLOCK1 OPLOCK2 OPLOCK3 OPLOCK4 DIR DIR1 DIR-CREATETIME DENY1 DENY2 TCON TCONDEV RW1 RW2 RW3 RW-SIGNING OPEN POSIX POSIX-APPEND ASYNC-ECHO UID-REGRESSION-TEST SHORTNAME-TEST ADDRCHANGE OPENATTR XCOPY RENAME DELETE DELETE-LN PROPERTIES MANGLE MANGLE1 W2K TRANS2SCAN NTTRANSSCAN UTABLE CASETABLE ERRMAPEXTRACT PIPE_NUMBER TCON2 IOCTL CHKPATH FDSESS EATEST SESSSETUP_BENCH CHAIN1 CHAIN2 WINDOWS-WRITE CLI_ECHO GETADDRINFO TLDAP STREAMERROR NOTIFY-BENCH BAD-NBT-SESSION SMB-ANY-CONNECT LOCAL-SUBSTITUTE LOCAL-GENCACHE LOCAL-TALLOC-DICT LOCAL-BASE64 LOCAL-RBTREE LOCAL-MEMCACHE LOCAL-STREAM-NAME LOCAL-WBCLIENT LOCAL-string_to_sid LOCAL-binary_to_sid LOCAL-DBTRANS LOCAL-TEVENT-SELECT default test is ALL